Subject: Re: linux-next: build warning after merge of the qcom tree

From: Bjorn Andersson <[email-masked]>
Date: Sun, 24 Oct 2021 21:24:36 -0500

On Sun 24 Oct 18:40 CDT 2021, David Heidelberg wrote:

> Hello,
> 
> I believe patch "ARM: dts: qcom: fix typo in IPQ8064 thermal-sensor node"
> should solve it [1] (sent 4 days ago, not merged yet thou).
> 
> David
> [1] https://lists.sr.ht/~okias/devicetree/patches/25837
> 
> Best regards
> David Heidelberg
> 

Thank you, I had indeed missed that. It's now picked up.

Regards,
Bjorn

> On Mon, Oct 25 2021 at 10:28:02 +1100, Stephen Rothwell
> <[email-masked]> wrote:
> > Hi all,
> > 
> > After merging the qcom tree, today's linux-next build (arm
> > multi_v7_defconfig) produced this warning:
> > 
> > arch/arm/boot/dts/qcom-ipq8064.dtsi:52.19-70.5: Warning
> > (thermal_sensors_property): /thermal-zones/sensor0-thermal: Missing
> > property '#thermal-sensor-cells' in node
> > /soc/clock-controller@900000/thermal-sensor@900000 or bad phandle
> > (referred from thermal-sensors[0])
> > arch/arm/boot/dts/qcom-ipq8064.dtsi:72.19-90.5: Warning
> > (thermal_sensors_property): /thermal-zones/sensor1-thermal: Missing
> > property '#thermal-sensor-cells' in node
> > /soc/clock-controller@900000/thermal-sensor@900000 or bad phandle
> > (referred from thermal-sensors[0])
> > arch/arm/boot/dts/qcom-ipq8064.dtsi:92.19-110.5: Warning
> > (thermal_sensors_property): /thermal-zones/sensor2-thermal: Missing
> > property '#thermal-sensor-cells' in node
> > /soc/clock-controller@900000/thermal-sensor@900000 or bad phandle
> > (referred from thermal-sensors[0])
> > arch/arm/boot/dts/qcom-ipq8064.dtsi:112.19-130.5: Warning
> > (thermal_sensors_property): /thermal-zones/sensor3-thermal: Missing
> > property '#thermal-sensor-cells' in node
> > /soc/clock-controller@900000/thermal-sensor@900000 or bad phandle
> > (referred from thermal-sensors[0])
> > arch/arm/boot/dts/qcom-ipq8064.dtsi:132.19-150.5: Warning
> > (thermal_sensors_property): /thermal-zones/sensor4-thermal: Missing
> > property '#thermal-sensor-cells' in node
> > /soc/clock-controller@900000/thermal-sensor@900000 or bad phandle
> > (referred from thermal-sensors[0])
> > arch/arm/boot/dts/qcom-ipq8064.dtsi:152.19-170.5: Warning
> > (thermal_sensors_property): /thermal-zones/sensor5-thermal: Missing
> > property '#thermal-sensor-cells' in node
> > /soc/clock-controller@900000/thermal-sensor@900000 or bad phandle
> > (referred from thermal-sensors[0])
> > arch/arm/boot/dts/qcom-ipq8064.dtsi:172.19-190.5: Warning
> > (thermal_sensors_property): /thermal-zones/sensor6-thermal: Missing
> > property '#thermal-sensor-cells' in node
> > /soc/clock-controller@900000/thermal-sensor@900000 or bad phandle
> > (referred from thermal-sensors[0])
> > arch/arm/boot/dts/qcom-ipq8064.dtsi:192.19-210.5: Warning
> > (thermal_sensors_property): /thermal-zones/sensor7-thermal: Missing
> > property '#thermal-sensor-cells' in node
> > /soc/clock-controller@900000/thermal-sensor@900000 or bad phandle
> > (referred from thermal-sensors[0])
> > arch/arm/boot/dts/qcom-ipq8064.dtsi:212.19-230.5: Warning
> > (thermal_sensors_property): /thermal-zones/sensor8-thermal: Missing
> > property '#thermal-sensor-cells' in node
> > /soc/clock-controller@900000/thermal-sensor@900000 or bad phandle
> > (referred from thermal-sensors[0])
> > arch/arm/boot/dts/qcom-ipq8064.dtsi:232.19-250.5: Warning
> > (thermal_sensors_property): /thermal-zones/sensor9-thermal: Missing
> > property '#thermal-sensor-cells' in node
> > /soc/clock-controller@900000/thermal-sensor@900000 or bad phandle
> > (referred from thermal-sensors[0])
> > arch/arm/boot/dts/qcom-ipq8064.dtsi:252.20-270.5: Warning
> > (thermal_sensors_property): /thermal-zones/sensor10-thermal: Missing
> > property '#thermal-sensor-cells' in node
> > /soc/clock-controller@900000/thermal-sensor@900000 or bad phandle
> > (referred from thermal-sensors[0])
> > arch/arm/boot/dts/qcom-ipq8064.dtsi:52.19-70.5: Warning
> > (thermal_sensors_property): /thermal-zones/sensor0-thermal: Missing
> > property '#thermal-sensor-cells' in node
> > /soc/clock-controller@900000/thermal-sensor@900000 or bad phandle
> > (referred from thermal-sensors[0])
> > arch/arm/boot/dts/qcom-ipq8064.dtsi:72.19-90.5: Warning
> > (thermal_sensors_property): /thermal-zones/sensor1-thermal: Missing
> > property '#thermal-sensor-cells' in node
> > /soc/clock-controller@900000/thermal-sensor@900000 or bad phandle
> > (referred from thermal-sensors[0])
> > arch/arm/boot/dts/qcom-ipq8064.dtsi:92.19-110.5: Warning
> > (thermal_sensors_property): /thermal-zones/sensor2-thermal: Missing
> > property '#thermal-sensor-cells' in node
> > /soc/clock-controller@900000/thermal-sensor@900000 or bad phandle
> > (referred from thermal-sensors[0])
> > arch/arm/boot/dts/qcom-ipq8064.dtsi:112.19-130.5: Warning
> > (thermal_sensors_property): /thermal-zones/sensor3-thermal: Missing
> > property '#thermal-sensor-cells' in node
> > /soc/clock-controller@900000/thermal-sensor@900000 or bad phandle
> > (referred from thermal-sensors[0])
> > arch/arm/boot/dts/qcom-ipq8064.dtsi:132.19-150.5: Warning
> > (thermal_sensors_property): /thermal-zones/sensor4-thermal: Missing
> > property '#thermal-sensor-cells' in node
> > /soc/clock-controller@900000/thermal-sensor@900000 or bad phandle
> > (referred from thermal-sensors[0])
> > arch/arm/boot/dts/qcom-ipq8064.dtsi:152.19-170.5: Warning
> > (thermal_sensors_property): /thermal-zones/sensor5-thermal: Missing
> > property '#thermal-sensor-cells' in node
> > /soc/clock-controller@900000/thermal-sensor@900000 or bad phandle
> > (referred from thermal-sensors[0])
> > arch/arm/boot/dts/qcom-ipq8064.dtsi:172.19-190.5: Warning
> > (thermal_sensors_property): /thermal-zones/sensor6-thermal: Missing
> > property '#thermal-sensor-cells' in node
> > /soc/clock-controller@900000/thermal-sensor@900000 or bad phandle
> > (referred from thermal-sensors[0])
> > arch/arm/boot/dts/qcom-ipq8064.dtsi:192.19-210.5: Warning
> > (thermal_sensors_property): /thermal-zones/sensor7-thermal: Missing
> > property '#thermal-sensor-cells' in node
> > /soc/clock-controller@900000/thermal-sensor@900000 or bad phandle
> > (referred from thermal-sensors[0])
> > arch/arm/boot/dts/qcom-ipq8064.dtsi:212.19-230.5: Warning
> > (thermal_sensors_property): /thermal-zones/sensor8-thermal: Missing
> > property '#thermal-sensor-cells' in node
> > /soc/clock-controller@900000/thermal-sensor@900000 or bad phandle
> > (referred from thermal-sensors[0])
> > arch/arm/boot/dts/qcom-ipq8064.dtsi:232.19-250.5: Warning
> > (thermal_sensors_property): /thermal-zones/sensor9-thermal: Missing
> > property '#thermal-sensor-cells' in node
> > /soc/clock-controller@900000/thermal-sensor@900000 or bad phandle
> > (referred from thermal-sensors[0])
> > arch/arm/boot/dts/qcom-ipq8064.dtsi:252.20-270.5: Warning
> > (thermal_sensors_property): /thermal-zones/sensor10-thermal: Missing
> > property '#thermal-sensor-cells' in node
> > /soc/clock-controller@900000/thermal-sensor@900000 or bad phandle
> > (referred from thermal-sensors[0])
> > 
> > Presumably introduced by commit
> > 
> >   88542b1d37dc ("ARM: dts: qcom: fix thermal zones naming")
> > 
> > --
> > Cheers,
> > Stephen Rothwell
> 
>